
Ruby - Bug #20729

Test failure with 0fc8422a05 and native mswin environment

09/13/2024 12:47 AM - hsbt (Hiroshi SHIBATA)

Status: Closed   

Priority: Normal   

Assignee: kddnewton (Kevin Newton)   

Target version:    

ruby -v:  Backport: 3.1: UNKNOWN, 3.2: UNKNOWN, 3.3:

UNKNOWN

Description

I got the following failure with mswin environment.

  1) Failure:

TestRubyOptions#test_command_line_progname_nonascii [C:/Users/hsbt/DevDrive/github.com/ruby/ruby/t

est/ruby/test_rubyoptions.rb:1086]:

[ruby-dev:48752] [Bug #10555]

pid 22932 exit 1

| C:\Users\hsbt\DevDrive\github.com\ruby\ruby.build\2022\ruby.exe: No such file or directory -- ��

.rb (LoadError)

.

1. [1/2] Assertion for "stdout"

   | <["\x{8198}.rb"]> expected but was

   | <[]>.

2. [2/2] Assertion for "stderr"

   | <[]> expected but was

   | <["C:\\Users\\hsbt\\DevDrive\\github.com\\ruby\\ruby.build\\2022\\ruby.exe: No such file or d

irectory -- \x{8198}.rb (LoadError)"]>.

History

#1 - 09/20/2024 03:47 PM - kddnewton (Kevin Newton)

@hsbt (Hiroshi SHIBATA) I haven't been able to replicate this — are you still experiencing it?

#2 - 09/20/2024 09:34 PM - hsbt (Hiroshi SHIBATA)

Yes. I still faced this.

#3 - 09/23/2024 07:06 PM - kddnewton (Kevin Newton)

@hsbt (Hiroshi SHIBATA) is there any way you can open a pull request with a failing test? All of the windows environments I'm seeing on CI are

passing and I'm not currently able to replicate any other way.

#4 - 09/30/2024 01:52 AM - hsbt (Hiroshi SHIBATA)

- Status changed from Open to Closed

- Assignee set to kjtsanaktsidis (KJ Tsanaktsidis)

This is fixed by https://github.com/ruby/ruby/pull/11719

#5 - 09/30/2024 01:52 AM - hsbt (Hiroshi SHIBATA)

- Assignee changed from kjtsanaktsidis (KJ Tsanaktsidis) to kddnewton (Kevin Newton)
